
Foreman - Bug #9437

Improve validation message when including "invalid" characters in Role name to say why it might be

invalid

02/18/2015 04:04 PM - Bryan Kearney

Status: Resolved   

Priority: Low   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1192854 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1192854

Description of problem:

I tried to create a role called "Bulkie (get it?)", and after clicking Submit, I was notified that it had failed validation and said simply "is

invalid".

Can we say what are valid (or invalid) characters? I've seen other validation strings in Satellite that say which are acceptable

characters, but here I'm left to guess.

Did that fail because of the question mark? the spaces? parentheses?

Version-Release number of selected component (if applicable):

6.0.6

History

#1 - 02/19/2015 07:37 AM - Dominic Cleal

- Category set to Web Interface

- Assignee deleted (Ohad Levy)

- Priority changed from Normal to Low

- Difficulty set to easy

#2 - 06/11/2018 01:55 PM - Aditi Puntambekar

The value "Bulkie (get it?)" is reflecting successfully on the UI after clicking Submit for role creation.

#3 - 07/24/2018 05:01 PM - Marek Hulán

- Status changed from New to Resolved

Hope I got the last comment right.
